SDL_GetPenGUID(3)

NAME
SDL_GetPenGUID - Retrieves the SDL_GUID
 for a given SDL_PenID .

HEADER FILE
Defined in SDL3/SDL_pen.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_GUID SDL_GetPenGUID(SDL_PenID instance_id);

FUNCTION PARAMETERS

instance_id
    The pen to query.

RETURN VALUE
Returns The corresponding pen GUID; persistent across multiple sessions. If "instance_id" is SDL_PEN_INVALID , returns an all-zeroes GUID.

AVAILABILITY
This function is available since SDL 3.0.0.